Subject: Re: [PATCH AUTOSEL 5.17 08/12] net: af_key: check encryption module availability consistency

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 May 2022 22:20:42 -0700

On Tue, 24 May 2022 11:09:08 -0700 Jakub Kicinski wrote:
> On Tue, 24 May 2022 11:59:22 -0400 Sasha Levin wrote:
> > From: Thomas Bartschies <[email-masked]>
> > 
> > [ Upstream commit 015c44d7bff3f44d569716117becd570c179ca32 ]
> > 
> > Since the recent introduction supporting the SM3 and SM4 hash algos for IPsec, the kernel
> > produces invalid pfkey acquire messages, when these encryption modules are disabled. This
> > happens because the availability of the algos wasn't checked in all necessary functions.
> > This patch adds these checks.
> > 
> > Signed-off-by: Thomas Bartschies <[email-masked]>
> > Signed-off-by: Steffen Klassert <[email-masked]>
> > Signed-off-by: Sasha Levin <[email-masked]>  
> 
> I don't see anyone else complaining yet so let me step up.
> 
> Please drop this, it's getting reverted.

I take that back, sorry, it's a different patch.
I meant not to backport 4dc2a5a8f6754492180741facf2a8787f2c415d7.